## org.apache.myfaces.util
Class MyFacesObjectInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ObjectInputStream
              org.apache.myfaces.util.MyFacesObjectInputStream

All Implemented Interfaces:
  java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

public class MyFacesObjectInputStream
extends java.io.ObjectInputStream

Tried to deploy v0.4.2 on JBoss 3.2.1 and had a classloading problem again. The problem seemed to be with JspInfo, line 98. We are using an ObjectInputStream Class, which then cannot find the classes to deserialize the input stream. The solution appears to be to subclass ObjectInputStream (eg. CustomInputStream), and specify a different class-loading mechanism.

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Robert Gothan <robert@funkyjazz.net> (latest modification by $Author: matze $)

Nested Class Summary

Nested classes inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`MyFacesObjectInputStream(java.io.InputStream in)`

Method Summary
`protected java.lang.Class` `resolveClass(java.io.ObjectStreamClass desc)`

Methods inherited from class java.io.ObjectInputStream
`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### MyFacesObjectInputStream

    public MyFacesObjectInputStream(java.io.InputStream in)
                             throws java.io.IOException

Method Detail

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass desc)
                                    throws java.lang.ClassNotFoundException,
                                           java.io.IOException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`